import { AllowedDeprecatedVersions, PackageExtension, PeerDependencyRules, ProjectManifest } from '@pnpm/types';
export declare function getOptionsFromRootManifest(manifest: ProjectManifest): {
    allowedDeprecatedVersions?: AllowedDeprecatedVersions;
    allowNonAppliedPatches?: boolean;
    overrides?: Record<string, string>;
    neverBuiltDependencies?: string[];
    onlyBuiltDependencies?: string[];
    packageExtensions?: Record<string, PackageExtension>;
    patchedDependencies?: Record<string, string>;
    peerDependencyRules?: PeerDependencyRules;
};
