import { CreateStoreControllerOptions } from '@pnpm/store-connection-manager';
import { InstallOptions } from '@pnpm/core';
import { Config } from '@pnpm/config';
export declare const rcOptionsTypes: typeof cliOptionsTypes;
export declare function cliOptionsTypes(): {};
export declare function help(): string;
export declare const commandNames: string[];
export type ImportCommandOptions = Pick<Config, 'allProjects' | 'allProjectsGraph' | 'selectedProjectsGraph' | 'workspaceDir'> & CreateStoreControllerOptions & Omit<InstallOptions, 'storeController' | 'lockfileOnly' | 'preferredVersions'>;
export declare function handler(opts: ImportCommandOptions, params: string[]): Promise<void>;
